---
title: "ICMP Monitor Check-Historie abrufen"
description: "Gibt die letzten Check-Ergebnisse für den ICMP Monitor zurück."
---

`GET /api/icmp-monitors/:icmpMonitorPublicId/check-history`

## Authentifizierung

Erfordert eine gültige Session.

- Header: `Authorization: Bearer <token>`

## Parameter

- `icmpMonitorPublicId` (Pfad, erforderlich): Öffentliche UUID des ICMP Monitors.
- `limit` (Query, optional): Maximale Anzahl an Ergebnissen (Default: 50, Max: 200).

## cURL

```bash
curl -X GET "https://YOUR_DOMAIN/api/icmp-monitors/22222222-2222-4222-8222-222222222222/check-history?limit=50" \
  -H "Authorization: Bearer $TOKEN"
```

## Response

```json
{
  "data": [
    {
      "id": "f6b0e5a7-4c4a-4d3b-9f6b-0e5a74c4a4d3",
      "status": "success",
      "errorMessage": null,
      "warningMessage": null,
      "timingIcmp": 22,
      "diagnostics": {
        "min": 11.1,
        "avg": 22.2,
        "max": 33.3,
        "packetLoss": 0
      },
      "checkedAt": "2026-02-26T12:00:00.000Z",
      "locationId": 7,
      "locationName": "Nuremberg (DE)",
      "locationCode": "de-nbg"
    }
  ]
}
```

## Fehler

- `400` ICMP Monitor Public ID (UUID) erforderlich
- `401` Unauthorized
- `403` Forbidden
- `404` ICMP Monitor nicht gefunden

